Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Naming_Utils.h File Reference

`#include "tao/ORB.h"`
`#include "orbsvcs/CosNamingC.h"`
`#include "orbsvcs/IOR_Multicast.h"`
`#include "Naming_Context_Interface.h"`
`#include "nsconf.h"`

Include dependency graph for Naming_Utils.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Naming_Client
| This class is intended to simplify programs that want to play the role of Naming Service clients. More...
class | TAO_Naming_Server
| Defines a wrapper class that holds the root Naming Context. More...

## Detailed Description

Id:
  Naming_Utils.h,v 1.53 2003/11/18 14:55:09 smcqueen Exp

Implement wrappers useful to Naming Service clients and servers.

Author:
  Nagarajan Surendran (naga@cs.wustl.edu) , Matt Braun <mjb2@cs.wustl.edu> , and Douglas C. Schmidt <schmidt@cs.wustl.edu>.